Create Real Time Booking Action
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"type": "<string>",
"webhook": {
"email": "<string>",
"type": "<string>",
"user_id": "<string>",
"mandatory": true,
"timezone": "<string>",
"buffer_time": 123,
"booking_timings": {
"monday": {}
},
"round_robin_emails": [
"<string>"
]
}
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions"
payload = {
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"type": "<string>",
"webhook": {
"email": "<string>",
"type": "<string>",
"user_id": "<string>",
"mandatory": True,
"timezone": "<string>",
"buffer_time": 123,
"booking_timings": { "monday": {} },
"round_robin_emails": ["<string>"]
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
action_timing: '<string>',
type: '<string>',
webhook: {
email: '<string>',
type: '<string>',
user_id: '<string>',
mandatory: true,
timezone: '<string>',
buffer_time: 123,
booking_timings: {monday: {}},
round_robin_emails: ['<string>']
}
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"action_id": "<string>",
"name": "<string>"
}
}Create-Action
Create Real Time Booking Action
POST
/
v2
/
_actions
Create Real Time Booking Action
Authorizations
Enter your Bearer token.
Request Body
Action display name.
Action purpose.
"DURING" | "AFTER" | "BEFORE"Action type:
"APPOINTMENT"Booking configuration.
Google Calendar email.
"google" or "outlook"The UUID of the user.
Require confirmation.
IANA timezone.
Minutes between bookings.
Weekly availability.
Monday schedule (e.g.
{"start_time": "09:00", "end_time": "17:00"})List of email addresses for distribution. Leave as
[] for none.Response
201 Created - Action created successfullyRequest context ID
⌘I

